generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Product
    theme:            emailpassion

    list:
      peer_method:    doSelectWithI18nOrderByTitle
      max_per_page:   20
      title:          Liste des ensembles d'articles
      filters:        [ created_at ]
      display:        [ =title, summary, created_at ]
      fields:
        title:             { name: Titre }
        summary:           { name: R&eacute;sum&eacute; }
        created_at:        { name: Cr&eacute;ation, params: date_format='dd/MM/yyyy' }
      object_actions:
        _edit:             ~
        _delete:           { params: confirm="Les articles de l'ensemble ne feront plus partie d'aucun ensemble. Voulez-vous continuer?" }

    edit:   
      title:                   Ensemble d'articles %%title%%
      display:          
        "Libell&eacute;s":               [ title, summary, description ]
        "Multilingue":                   [ _edit_lang_title, _edit_lang_summary, _edit_lang_description ]
        "Libell&eacute;s des articles":  [ _edit_update_all ]
        "Ensemble d\'articles":          [ _edit_product_articles ]
      fields:
        title:                   { name: Titre, params: disabled=false }
        summary:                 { name: R&eacute;sum&eacute;, type: textarea_tag, params: disabled=false size=100x1 }
        description:             { name: D&eacute;tail, type: textarea_tag, params: disabled=false size=80x10, help: "Essayez d'appliquer le maximum de libell&eacute;s communs pour les champs titre/r&eacute;sum&eacute;/description car ils seront utilis&eacute;s par d&eacute;faut pour tous les articles cr&eacute;&eacute;s &agrave; partir de cet ensemble." }
        edit_lang_title:         { name: Titre }
        edit_lang_summary:       { name: R&eacute;sum&eacute; }
        edit_lang_description:   { name: D&eacute;tail }
        edit_update_all:         { name: Mise &agrave; jour, help: "En cochant cette case tous les champs titre/r&eacute;sum&eacute;/description de tous les articles de cet ensemble seront mis &agrave; jour avec les valeurs entr&eacute;es ci-dessus lors de la sauvegarde de l'ensemble d'articles." }
        edit_product_articles:   { name: Liste, help: "Vous pouvez ajouter un article &agrave; cette liste en cliquant sur le lien 'Ajouter un article' ou &eacute;diter un article de la liste en cliquant sur son titre. N'oubliez pas d'enregistrer vos modifications avant!" }
      actions:
        _list:                   ~
        _save_and_list:          ~
        _save:                   ~
        _save_and_add:           ~
        _delete:                 { params: confirm="Les articles de l'ensemble ne feront plus partie d'aucun ensemble. Voulez-vous continuer?" } 